Subject: RE: FW: unpacking error

From: <[email-masked]>
Date: Sat, 18 Jan 2020 11:07:32 -0700

Hi Philip

Per your request, here's a reminder (albeit a bit late) after January 4th. Please see below.

Regards

Lyle

From: Philip Oakley <[email-masked]> 
Sent: Wednesday, December 25, 2019 1:41 PM
To: [email-masked]; [email-masked]
Subject: Re: FW: unpacking error

Hi, 
must have missed that one. I'm away for Christmas and New year, so a reminder about 4th January may help, or maybe other contributors may have ideas.

On 25 December 2019 18:49:59 GMT+00:00, mailto:[email-masked] wrote:
Hi

It seems Philip is no longer receiving emails?

Please see below.

Regards

Lyle

-----Original Message-----
From: mailto:[email-masked] <mailto:[email-masked]> 
Sent: Saturday, November 23, 2019 4:33 PM
To: mailto:[email-masked]
Subject: FW: unpacking error

Hi Philip

Any updates on this?

Thanks

Lyle

-----Original Message-----
From: mailto:[email-masked] <mailto:[email-masked]> 
Sent: Monday, October 28, 2019 9:48 PM
To: 'Philip Oakley' <mailto:[email-masked]>; 'git bug report' <mailto:[email-masked]>
Subject: RE: unpacking error

From: Philip Oakley <mailto:[email-masked]>
Sent: Monday, October 28, 2019 3:14 AM
To: mailto:[email-masked]; 'git bug report' <mailto:[email-masked]>
Subject: Re: unpacking error

Hi Philip.

Thanks for writing back. Please see below.

Regards

Lyle 

On 28/10/2019 00:11, mailto:[email-masked] wrote:
 Hi

 I almost always get this error when pushing from my PC to the bare 
 repository on my laptop. I'm running Cygwin on Windows 10. I've tried 
 everything! chmod -R 777, chown -R <my user id>, etc.

 A few more details: I have a Git repository on my PC, and from that, 
 I've cloned a bare repository on my laptop,

[Philip] "How did you clone that bare repository? In particular, how did you provide the path to that repo."

I'm recreating the entire process below with a smaller repository on my PC (so it won't take hours to clone, etc):

lylez@LJZ-DELLPC /cygdrive/c/Users/lyle/documents/budget
$ git clone --bare . //lylez-laptop/Users/Administrator/bare-repositories/budget-bare-repository.git
Cloning into bare repository '//lylez-laptop/Users/Administrator/bare-repositories/budget-bare-repository.git'...
done.

lylez@LJZ-DELLPC /cygdrive/c/Users/lyle/documents/budget
$ echo "line1" > afile.txt

lylez@LJZ-DELLPC /cygdrive/c/Users/lyle/documents/budget
$ git add afile.txt

lylez@LJZ-DELLPC /cygdrive/c/Users/lyle/documents/budget
$ git commit -m 'Added afile.txt'
[master 7fa616b] Added afile.txt
 1 file changed, 1 insertion(+)
 create mode 100644 afile.txt

lylez@LJZ-DELLPC /cygdrive/c/Users/lyle/documents/budget
$ git push
Counting objects: 3, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (2/2), done.
Writing objects: 100% (3/3), 287 bytes | 287.00 KiB/s, done.
Total 3 (delta 1), reused 0 (delta 0)
remote: fatal: not a git repository: '.'
error: remote unpack failed: unpack-objects abnormal exit To //lylez-laptop/Users/Administrator/bare-repositories/budget-bare-repository.git
 ! [remote rejected] master -> master (unpacker error)
error: failed to push some refs to '//lylez-laptop/Users/Administrator/bare-repositories/budget-bare-repository.git'

Note: I'm able to access the remote repository using Cygwin Unix commands on Windows 10:

lylez@LJZ-DELLPC /cygdrive/c/Users/lyle/documents/budget
$ ls //lylez-laptop/Users/Administrator/bare-repositories/budget-bare-repository.git
config  description  HEAD  hooks  info  objects  packed-refs  refs

... and I do have write permission:

lylez@LJZ-DELLPC /cygdrive/c/Users/lyle/documents/budget
$ touch //lylez-laptop/Users/Administrator/bare-repositories/budget-bare-repository.git/anotherFile.txt

lylez@LJZ-DELLPC /cygdrive/c/Users/lyle/documents/budget
$ echo "line2" >> //lylez-laptop/Users/Administrator/bare-repositories/budget-bare-repository.git/anotherFile.txt

lylez@LJZ-DELLPC /cygdrive/c/Users/lyle/documents/budget
$ git remote -v
origin  //lylez-laptop/Users/Administrator/bare-repositories/budget-bare-repository.git (fetch) origin  //lylez-laptop/Users/Administrator/bare-repositories/budget-bare-repository.git (push)

lylez@LJZ-DELLPC /cygdrive/c/Users/lyle/documents/budget
$

So, I can clone the repository, and I can still write to the remote directory using the "touch" and "echo" commands. But I can't push to it. It seems that "clone" can access (create, actually) the remote repository, but "push" cannot access it effectively.

[Philip] "If I understand correctly it must be in a URL format (e.g. file://) to ensure that you get distinct repos, rather than two interrelated repos (thought the docs discuss the issue as being the transport mechanism)."

"file://" is for referring to a local file from within a web browser. "//" is how to begin a path of a file on a remote machine in Windows.

After doing all of this, I created another test file on my laptop (filename: afile2.txt) in the repository on my laptop made by cloning the bare repository that I just created on my laptop, and added the test file afile2.txt to the cloned non-bare git repository, and then did a "git push" on my laptop (the remote machine) to the bare repository on my laptop (the remote machine). Then, back on my PC, I was able to do a git pull even though earlier I could not do a git push:

lylez@LJZ-DELLPC /cygdrive/c/Users/lyle/documents/budget
$ git pull
remote: Counting objects: 3, done.
remote: Compressing objects: 100% (2/2), done.
remote: Total 3 (delta 1), reused 0 (delta 0) Unpacking objects: 100% (3/3), done.
>From //lylez-laptop/Users/Administrator/bare-repositories/budget-bare-repository
 + e9d5a3c...cd21f1d master     -> origin/master  (forced update)
Merge made by the 'recursive' strategy.
 afile2.txt | 1 +
 1 file changed, 1 insertion(+)
 create mode 100644 afile2.txt

lylez@LJZ-DELLPC /cygdrive/c/Users/lyle/documents/budget
$ ls
afile.txt  afile2.txt  backup  Budget.xlsx  Joanne  Scotland.xlsx

lylez@LJZ-DELLPC /cygdrive/c/Users/lyle/documents/budget

And there it is, the new file (afile2.txt).

So Git is able to utilize the remote bare repository for cloning on the remote machine, and on the local machine (my PC) it can pull from the remote bare repository, but it can't push to it.

[Philip] "The same issue probably applies to the subsequent clones of the bare repo."

[Philip] "Perhaps focus on the error message and decide if "." is the correct way of thinking about the path."

"." is the local directory on my PC that was initially cloned. It is where the Git repository reside:

lylez@LJZ-DELLPC /cygdrive/c/Users/lyle/documents/budget
$ ls -a
.  ..  .git  afile.txt  afile2.txt  backup  Budget.xlsx  Joanne  Scotland.xlsx

lylez@LJZ-DELLPC /cygdrive/c/Users/lyle/documents/budget
   which I then used to clone a regular repository on my laptop. The 
 error occurs when I attempt to push changes on my PC into the bare 
 repository on my laptop.

 If I delete the old bare repository on my laptop, I'm able to create a 
 new bare repository on my laptop from my pc, but then as soon as I try 
 to push to it, I get this error again. I've tried disabling the anti-virus, etc.
 I've spent hours Googling solutions. Nothing works! Many others have 
 had this same issue. I never had this type of problem with SVN.

 It would be nice if Git would say what's failing when this happens, 
 and it would be nice to get this bug fixed. It happens with all my git 
 repositories. I don't think it's a network issue or I wouldn't be able 
 to create a new repository on my laptop from my PC, as that would 
 encounter the same permissions issues.

 The two machines are connected with an ethernet cable. I've done 
 everything I can to make sure all the Windows permissions are set correctly, etc.

 $ git push
 Counting objects: 3, done.
 Delta compression using up to 4 threads.
 Compressing objects: 100% (3/3), done.
 Writing objects: 100% (3/3), 331 bytes | 331.00 KiB/s, done.
 Total 3 (delta 2), reused 0 (delta 0)

remote: fatal: not a git repository: '.'
[Philip] "Why is the remote end of the connection reporting the error that it is looking at "." (as opposed to a proper path/repo)?"

I'm not sure. I cloned ".". I think that's a legitimate thing to do.

All this stuff has worked for me for years. I'm not sure why it's stopped working.

[Philip] "I could easily be wrong - I haven't double checked the man pages at all, but thought a comment may help your research."
 error: remote unpack failed: unpack-objects abnormal exit To 
 //lylez-laptop/Users/Administrator/bare-repositories/Tradelab-bare-rep
 ositor
 y.git/
   ! [remote rejected] timestamp_testing -> timestamp_testing (unpacker
 error)
 error: failed to push some refs to
 '//lylez-laptop/Users/Administrator/bare-repositories/Tradelab-bare-re
 posito
 ry.git/'

 $ git --version
 git version 2.17.0
________________________________________
 System Information
________________________________________
        Time of this report: 10/27/2019, 16:53:09
               Machine name: LJZ-DELLPC
                 Machine Id: {39BC0826-743F-4ECA-AFBE-66A14FBE533C}
           Operating System: Windows 10 Pro 64-bit (10.0, Build 17134)
 (17134.rs4_release.180410-1804)
                   Language: English (Regional Setting: English)
        System Manufacturer: Dell Inc.
               System Model: Inspiron 3650
                       BIOS: BIOS Date: 06/17/16 21:14:07 Ver: 05.0000B (type:
 BIOS)
                  Processor: Intel(R) Core(TM) i5-6400 CPU @ 2.70GHz (4 
 CPUs), ~2.7GHz
                     Memory: 8192MB RAM
        Available OS Memory: 8096MB RAM
                  Page File: 8076MB used, 7243MB available
                Windows Dir: C:\WINDOWS
            DirectX Version: DirectX 12
        DX Setup Parameters: Not found
           User DPI Setting: 96 DPI (100 percent)
         System DPI Setting: 96 DPI (100 percent)
            DWM DPI Scaling: Disabled
                   Miracast: Available, with HDCP Microsoft Graphics Hybrid:
 Not Supported
             DxDiag Version: 10.00.17134.0001 64bit Unicode

 Regards,

 Lyle Ziegelmiller

--
Philip

-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.